Subject: [TICTOC] draft-ietf-tictoc-1588v2-yang-05 - concern over multiple top level objects

From: Sean Condon <[email-masked]>
Date: Tue, 26 Sep 2017 14:11:59 +0000

With reference to "YANG Data Model for IEEE 1588v2" https://tools.ietf.org/html/draft-ietf-tictoc-1588v2-yang-05

I have a concern about the structure of the YANG, with 3 Top-Level Data Definitions - instance-list, transparent-clock-default-ds and transparent-clock-port-ds-list, all of them being configuration lists or containers.

This structure seems to go against the advice of RFC 6087 (Guidelines for Authors and Reviewers of YANG Data Model Documents) Section 4.9: Top Level Data Definitions https://tools.ietf.org/html/rfc6087#section-4.9 which recommends that only one TLD should exist in a YANG module: "There SHOULD only be one top-level data node defined in each YANG module".

I think this could be easily remedied in your YANG module with the addition of a top level container (for example ietf-ptp) to contain all the three mentioned above.

I fear the structure as is could cause implementation problems with some YANG or NETCONF implementations.

Sean Condon
=======================
Sean Condon
System & Software Architect
Frequency & Timing Division
Microsemi Inc.
[email-masked]

---

From: Jiangyuanlong <[email-masked]>
Date: Wed, 27 Sep 2017 06:49:01 +0000

Dear Sean,

Good advice, we will add a top level node for this module in the next version.

Cheers,
Yuanlong

From: Sean Condon [mailto:[email-masked]]
Sent: Tuesday, September 26, 2017 10:12 PM
To: [email-masked]
Cc: Jiangyuanlong
Subject: draft-ietf-tictoc-1588v2-yang-05 - concern over multiple top level objects

Sean Condon
=======================
Sean Condon
System & Software Architect
Frequency & Timing Division
Microsemi Inc.
[email-masked]<mailto:[email-masked]>